OtherAPI ReferenceOrganization

List a project's API keys

Every API key of the project, newest first. The keys themselves are not returned.

GET
https://api.soniox.com/v1/organization/projects/{project_id}/api-keys

Every API key of the project, newest first. The keys themselves are not returned.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Path parameters

project_idRequiredstring
Format: "uuid"

Response

200

OK

api_keysRequiredarray<object>

API keys of the project, newest first. Never the key itself.

Errors

OK

{
  "api_keys": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key_prefix": "string",
      "name": "string",
      "permissions": [
        "stt_rt:write"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "created_by": "string",
      "created_by_key_id": "7954020d-fd00-436f-97d5-c7e64e43cdfb"
    }
  ]
}

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Forbidden

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Not Found

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}